> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathstack.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Connection Credentials By Id

> Credentials are owner-only. Shared tenants can see connection metadata through
the existing scoped connection endpoints, but cannot read another tenant's
stored integration credentials.



## OpenAPI

````yaml openapi_2024-03-27 get /connection/{connection_id}/credentials
openapi: 3.1.0
info:
  title: FastAPI
  version: '2024-03-27'
servers:
  - url: https://api.pathstack.io
    description: PathStack production environment
security: []
paths:
  /connection/{connection_id}/credentials:
    get:
      tags:
        - Connections
      summary: Connection Credentials By Id
      description: >-
        Credentials are owner-only. Shared tenants can see connection metadata
        through

        the existing scoped connection endpoints, but cannot read another
        tenant's

        stored integration credentials.
      operationId: connection_credentials_by_id_connection__connection_id__credentials_get
      parameters:
        - name: connection_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Connection ID
            description: Connection ID of the Connection whose credentials are returned
          description: Connection ID of the Connection whose credentials are returned
        - name: x-api-version
          in: header
          required: false
          schema:
            type: string
            format: date
            default: '2024-03-27'
            title: X-Api-Version
          examples:
            default:
              value: '2024-03-27'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Success_ConnectionCredentials_'
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 400
                        title: Error code
                      message:
                        type: string
                        example: Invalid JWT format
                        title: Error message
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 401
                        title: Error code
                      message:
                        type: string
                        example: >-
                          Authentication header is missing, or token is
                          invalid/expired.
                        title: Error message
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 403
                        title: Error code
                      message:
                        type: string
                        example: You do not have access to this resource
                        title: Error message
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 404
                        title: Error code
                      message:
                        type: string
                        example: Connection with ID <connection_id> not found
                        title: Error message
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 422
                        title: Error code
                      message:
                        type: string
                        example: Field required
                        title: Error message
                      loc:
                        items:
                          anyOf:
                            - type: string
                            - type: integer
                        type: array
                        title: Location
                      msg:
                        type: string
                        title: Message
                      type:
                        type: string
                        title: Error Type
          description: Unprocessable Entity
      security:
        - JWTBearer: []
components:
  schemas:
    Success_ConnectionCredentials_:
      properties:
        data:
          $ref: '#/components/schemas/ConnectionCredentials'
          description: Successful response payload
      type: object
      required:
        - data
      title: Success[ConnectionCredentials]
    ConnectionCredentials:
      properties:
        connection_id:
          type: string
          format: uuid4
          title: Connection Id
        credentials:
          additionalProperties: true
          type: object
          title: Credentials
      type: object
      required:
        - connection_id
        - credentials
      title: ConnectionCredentials
  securitySchemes:
    JWTBearer:
      type: http
      scheme: bearer

````